﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace TrolleybusProject.Entities;

public class EntityTrolleybus: EntityBus

{

    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Признак (опция) наличие рогов
    /// </summary>
    public bool Roga { get; private set; }
    /// <summary>
    /// Признак (опция) наличие отсека
    /// </summary>

    public bool Otsek { get; private set; }
    /// <summary>
    /// Признак (опция) наличия двойной двери
    /// </summary>
    public bool Doors { get; private set; }

    /// <summary>
    /// Шаг перемещения троллейбуса
    /// </summary>
 




    /// <summary>
    /// Инициализация полей объекта-класса троллейбуса
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес троллейбуса</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="roga">Признак наличия рогов</param>
    /// <param name="otsek">Признак наличия отсека</param>
    /// <param name="doors">Признак наличия двойной двери</param>
    public EntityTrolleybus(int speed, double weight, Color bodyColor, Color
    additionalColor, bool roga, bool otsek, bool doors):base(speed,weight,bodyColor)
    {
        AdditionalColor = additionalColor;
        Roga = roga;
        Otsek = otsek;
        Doors = doors;
    }






}
